List terminal locations
curl --request GET \
--url https://b.anny.co/api/v1/terminal-locations \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/v1/terminal-locations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/v1/terminal-locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "terminal-locations",
"attributes": {
"display_name": "<string>",
"provider_location_id": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"metadata": {},
"is_synced": true,
"full_address": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": {
"self": "<string>"
},
"relationships": {
"payment_account": {
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"links": {
"self": "<string>"
}
},
"readers": {
"data": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"links": {
"self": "<string>"
}
}
}
}
]
}Terminal Payments
List terminal locations
Returns all terminal locations registered for the organization.
Locations represent physical sites (e.g. Front Desk, Back Office) where Stripe Terminal readers are deployed. Each location is synced to Stripe.
Includes: payment-account, readers
Filters: filter[account] — filter by payment account UUID
Sort: created_at, display_name
GET
/
api
/
v1
/
terminal-locations
List terminal locations
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Organization ID
Comma-separated. Allowed: payment-account, readers
Filter by payment account UUID
Verfügbare Optionen:
created_at, display_name Erforderlicher Bereich:
x >= 1Erforderlicher Bereich:
1 <= x <= 100Antwort
OK
Show child attributes
Show child attributes
⌘I